Subject: Re: bug#13603: 24.2; Feature Request: Expose more libxml functionality

From: Ted Zlatanov <[email-masked]>
Date: Fri, 01 Feb 2013 08:46:26 -0500

On Fri, 01 Feb 2013 10:56:29 +0800 Eric Abrahamsen <[email-masked]> wrote: 

EA> Not a bug, but a feature request. XML parsing in Emacs is currently
EA> pretty messy, consisting mostly of a handful of out-of-date libraries.
EA> There is talk of elisp implementations of Xpath and XSLT. For Emacsen
EA> compiled with libxml2, that seems like a bad idea: the system libraries
EA> are there, they just need to be exposed to emacs. My request is to make
EA> more of libxml2 available to elisp, starting with Xpath.

Consider me in favor (and also hoping for a C-level JSON parser).

Ted